Show / Hide Table of Contents

# Class OpenIddictServerAspNetCoreExtensions

Exposes extensions allowing to register the OpenIddict server services.

##### Inheritance

System.Object
OpenIddictServerAspNetCoreExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictServerAspNetCoreExtensions

### Methods

#### UseAspNetCore(OpenIddictServerBuilder)

Registers the OpenIddict server services for ASP.NET Core in the DI container.

##### Declaration

    public static OpenIddictServerAspNetCoreBuilder UseAspNetCore(this OpenIddictServerBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictServerAspNetCoreBuilder | The OpenIddictServerAspNetCoreBuilder.

##### Remarks

This extension can be safely called multiple times.

#### UseAspNetCore(OpenIddictServerBuilder, Action<OpenIddictServerAspNetCoreBuilder>)

Registers the OpenIddict server services for ASP.NET Core in the DI container.

##### Declaration

    public static OpenIddictServerBuilder UseAspNetCore(this OpenIddictServerBuilder builder, Action<OpenIddictServerAspNetCoreBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictServerAspNetCoreBuilder> | configuration | The configuration delegate used to configure the server services.

##### Returns

Type | Description
--- | ---
OpenIddictServerBuilder | The OpenIddictServerBuilder.

##### Remarks

This extension can be safely called multiple times.